> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Stripe fiat→crypto on-ramp session



## OpenAPI

````yaml /api-reference/openapi.json post /v1/funding/stripe-onramp-session
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/funding/stripe-onramp-session:
    post:
      tags:
        - Funding
      summary: Stripe fiat→crypto on-ramp session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                wallet_id:
                  type: string
                  format: uuid
                default_amount_usd:
                  type: number
                  exclusiveMinimum: 0
                return_url:
                  type: string
                  format: uri
              required:
                - wallet_id
      responses:
        '201':
          description: Session
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/HostedFundingSession'
                required:
                  - data
      security:
        - bearerAuth: []
components:
  schemas:
    HostedFundingSession:
      type: object
      properties:
        session_url:
          type: string
          format: uri
        session_token:
          type: string
        expires_at:
          type: string
          format: date-time
      required:
        - session_url
        - expires_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````